<?php

namespace Drupal\commerce_eta\Plugin\Commerce\EntityTrait;

use Drupal\commerce\Plugin\Commerce\EntityTrait\EntityTraitBase;
use Drupal\entity\BundleFieldDefinition;


/**
 * @CommerceEntityTrait(
 *  id = "order_events",
 *  label = @Translation("Enable order events"),
 *  entity_types = {"commerce_order"},
 * )
 */
class OrderEvent extends EntityTraitBase {

  public function __construct(array $configuration, $plugin_id, $plugin_definition) {
    parent::__construct($configuration, $plugin_id, $plugin_definition);
  }

  public function getOrders() {
    return $this->orders;
  }

}
